Subject: Re: Linville's L2 rant... -- Re: PATCH Fix bonding active-backup behavior for VLAN interfaces

From: "John W. Linville" <[email-masked]>
Date: Tue, 1 Aug 2006 12:48:33 -0400

On Tue, Aug 01, 2006 at 08:33:34AM -0400, Jamal Hadi Salim wrote:
> On Tue, 2006-01-08 at 08:08 -0400, John W. Linville wrote:

> > And, I think that a
> > reconsideration of all three functions as a group could lead to
> > better/cleaner functionality with easier support for extension (e.g.
> > 802.1s).
> 
> Agreed. I have some very strong opinions on this subject that i could
> share with you if you want. For example, IMO, I think it would be a lot
> reasonable to assume that a VLAN or VLANS are attributes of a netdevice
> (just like IP addresses or MAC addresses are). 

I'd love to hear them.  Feel free to send them off list, since I know
how shy you can be... :-)

John
-- 
John W. Linville
[email-masked]